Subject: Re: [PATCH] ip: add loose reverse path filtering

From: Stephen Hemminger <[email-masked]>
Date: Mon, 23 Feb 2009 13:46:46 -0800

On Sun, 22 Feb 2009 16:34:36 +0800
Herbert Xu <[email-masked]> wrote:

> On Sat, Feb 21, 2009 at 11:56:01PM -0800, David Miller wrote:
> >
> > > Rather than extending the rp_filter stuff any further, I'd prefer
> > > to see this replaced with netfilter plugin.
> > 
> > Normally I would agree, but in this case the cost is exactly
> > zero for the added flexibility.
> 
> Ah I thought there was another patch coming :) But obviously as
> this is all that's needed for it sure it looks good to me too.
> 
> Cheers,

Also, the purpose of reverse path filtering is to block Dos attacks.
So it is important to do any rejection with least overhead. If the
filter is iptables rules, it takes longer and requires another route
lookup.